<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class News extends CI_Controller
{

    function __construct()
    {
        parent::__construct();
        $this->permission->is_admin();
        //$this->output->enable_profiler(TRUE);
        $this->load->model('Area_model');
        $this->load->model('Information_model');
        $this->load->model('InfoContents_model');
        $this->load->model('InfoStructures_model');
    }

	//新闻
    public function index()
    {
		$news_id=1;
        //查询结构根节点，当为空则建立
        $rootStructure = $this->Information_model->GetRoot('s', $news_id);
        if ($rootStructure == FALSE)
        {
            $this->InfoContents_model->Add('', 'News', 'root', '', '', '', '', '', '', 0, 0, '', '', 0, 0, '', '', $news_id, 's', 0,
                    '','');
            $this->InfoStructures_model->Add(0, $this->InfoContents_model->insert_id);
            $is_id = $this->InfoStructures_model->insert_id;
        }
        else
        {
            $is_id = $rootStructure->is_id;
        }
        redirect(site_url('information/edit/' . $is_id));
    }


}

